Bug 1005109 - Upgrading Tomcat plugin, metric names not updated
Upgrading Tomcat plugin, metric names not updated
Status: ASSIGNED
Product: JBoss Web Server 3
Classification: JBoss
Component: unspecified (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high
: Post-GA
: 3.0.0
Assigned To: Jean-frederic Clere
Jan Stefl
:
Depends On: 1005095
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 05:00 EDT by Thomas Segismont
Modified: 2016-12-05 11:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1005095
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JWS-86 Major New Upgrading Tomcat plugin, metric names not updated 2017-10-04 09:44 EDT

  None (edit)
Description Thomas Segismont 2013-09-06 05:00:09 EDT
+++ This bug was initially created as a clone of Bug #1005095 +++

Description of problem:
When upgrading a 4.5 and older RHQ installation, the Tomcat plugin is not updated.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Install RHQ 4.5
2. Upgrade to RHQ 4.6 or newer

Actual results:
The Tomcat plugin is not updated

Expected results:
The Tomcat plugin is updated

Additional info:
The following exception is thrown:
java.lang.IllegalArgumentException: The property [name] marked as required in the configuration definition of [Tomcat Connector] has no attribute 'default'  

Reported by user in community forum:
https://community.jboss.org/message/836495?et=watches.email.thread#836495
Comment 1 Thomas Segismont 2013-09-06 05:11:23 EDT
In April Jean Frederic cherry-picked the RHQ master commit

commit bda985816a6cea4adc776c9a93d6b029ddcb7753
Author: jfclere <jfclere@neo2.gva.redhat.com>
Date:   Wed Apr 10 14:33:38 2013 +0200

    fix for BZ: 707349 from e7d48240474fba87f1a3c4118de4618fd2c8b32d.


So JON 3.1.2 is not impacted but this shouldn't got out with JON 3.2
Comment 2 Heiko W. Rupp 2013-09-06 11:33:46 EDT
Jean-Frederic, can you please have a look at this. 

This community post is pretty detailed about the issue and a possible fix:

https://community.jboss.org/message/836495?et=watches.email.thread#836495

Thanks

Note You need to log in before you can comment on or make changes to this bug.